import request from '@/utils/request'

// 查询参数配置列表
export function listCompanyConfig(query) {
  return request({
    url: '/company/companyConfig/list',
    method: 'get',
    params: query
  })
}

// 查询参数配置详细
export function getCompanyConfig(configId) {
  return request({
    url: '/company/companyConfig/' + configId,
    method: 'get'
  })
}

// 新增参数配置
export function addCompanyConfig(data) {
  return request({
    url: '/company/companyConfig',
    method: 'post',
    data: data
  })
}

// 修改参数配置
export function updateCompanyConfig(data) {
  return request({
    url: '/company/companyConfig',
    method: 'put',
    data: data
  })
}

// 删除参数配置
export function delCompanyConfig(configId) {
  return request({
    url: '/company/companyConfig/' + configId,
    method: 'delete'
  })
}

// 导出参数配置
export function exportCompanyConfig(query) {
  return request({
    url: '/company/companyConfig/export',
    method: 'get',
    params: query
  })
}